MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001516XdebugRemote Debuggingpublic2018-01-15 17:002018-01-22 18:21
Reporterderick 
Assigned Toderick 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.0beta1 
Target Version2.6.0Fixed in Version2.6.0rc1 
Summary0001516: Can't fetch variables or object properties which have \0 characters in them
DescriptionPer DBGP's escaping rules (https://xdebug.org/docs-dbgp.php#escaping-rules [^]), it says:

    if we have a NULL character in the string, like in $x chr(0) y, or, $x->f chr(0) oo, than they need to be quoted with a back-slash (\), as in:

    property_get -i 10 -n "$x\0y"
    property_get -i 11 -n "$x->f\0oo"


Xdebug's command parser does not support this.
TagsNo tags attached.
Operating System
PHP Version7.2.0-7.2.4
Attached Files

- Relationships

-  Notes
(0004564)
derick (administrator)
2018-01-18 20:50

Fixed in GIT.

- Issue History
Date Modified Username Field Change
2018-01-15 17:00 derick New Issue
2018-01-15 17:00 derick Target Version => 2.6.0
2018-01-18 20:50 derick Note Added: 0004564
2018-01-18 20:50 derick Status new => closed
2018-01-18 20:50 derick Assigned To => derick
2018-01-18 20:50 derick Resolution open => fixed
2018-01-18 20:50 derick Fixed in Version => 2.6.0
2018-01-22 18:21 derick Fixed in Version 2.6.0 => 2.6.0rc1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker